"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utility_1 = require("@jfrog-pipelines/utility");
const NodePoolWorker_1 = require("../NodePoolWorker");
const CommandFactory_1 = require("../CommandFactory");
jest.mock('@jfrog/access-nodejs-client');
jest.mock('@jfrog-pipelines/amqp-client');
jest.mock('@jfrog-pipelines/configuration', () => {
    return {
        ConfigFactory: { config: { amqpExchange: '', isSaas: false } }
    };
});
jest.mock('@jfrog-pipelines/logger', () => {
    return {
        LoggerFactory: {
            getLogger: jest.fn().mockReturnValue({
                info: jest.fn(),
                error: jest.fn(),
                debug: jest.fn(),
                trace: jest.fn(),
                warn: jest.fn()
            }),
            configure: jest.fn(),
            logEvent: jest.fn(),
            getEventLogger: jest.fn().mockReturnValue({
                info: jest.fn(),
                error: jest.fn(),
                debug: jest.fn(),
                trace: jest.fn(),
                warn: jest.fn()
            })
        }
    };
});
class MockHandler {
    handle() {
        return;
    }
}
describe('NodePoolWorker Unit test Suite', () => {
    it('should process message', async () => {
        const mockHandler = jest.spyOn(MockHandler.prototype, 'handle').mockReturnValue();
        CommandFactory_1.CommandFactory.getHandler = jest.fn().mockImplementation(() => new MockHandler());
        const nodepoolWorker = new NodePoolWorker_1.NodePoolWorker(utility_1.ServiceMeta[11]);
        await nodepoolWorker.process({ payload: { eventType: 'SomeEvent', payload: null } });
        expect(mockHandler).toHaveBeenCalledWith();
    });
});
//# sourceMappingURL=NodePoolWorker.test.js.map