"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const microservice_1 = require("@jfrog-pipelines/microservice");
const NodePoolWorker_1 = require("../NodePoolWorker");
require("../app");
jest.mock('@jfrog-pipelines/microservice');
jest.mock('@jfrog-pipelines/configuration', () => ({
    ConfigFactory: { config: { nodePoolServiceGrpcPort: 30000 } }
}));
jest.mock('@jfrog-pipelines/logger', () => {
    return {
        LoggerFactory: {
            getLogger: jest.fn().mockReturnValue({
                info: jest.fn(),
                error: jest.fn(),
                debug: jest.fn(),
                trace: jest.fn(),
                warn: jest.fn()
            }),
            configure: jest.fn()
        }
    };
});
jest.mock('@jfrog-pipelines/configuration', () => {
    return {
        ConfigFactory: {
            config: {
                apiToken: 'sdfgsd',
                instanceType: 't3a.medium',
                getCustom: jest.fn(),
                customCertsEnabled: false,
                isSaas: true
            },
            configure: jest.fn()
        }
    };
});
jest.mock('@jfrog-pipelines/amqp-client');
jest.mock('../NodePoolWorker');
describe('Test nodePoolService app', () => {
    it('should check app initialization', () => {
        jest.spyOn(NodePoolWorker_1.NodePoolWorker.prototype, 'process').mockResolvedValue();
        jest.spyOn(microservice_1.Application.prototype, 'listen').mockResolvedValue();
        expect(NodePoolWorker_1.NodePoolWorker).toBeDefined();
        expect(microservice_1.Application).toBeDefined();
    });
});
//# sourceMappingURL=app.test.js.map