"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatabaseNodeConsoleRepository = void 0;
const data_access_layer_1 = require("@jfrog-pipelines/data-access-layer");
const NodeConsoleDao_1 = require("../../../driven/db/NodeConsoleDao");
class DatabaseNodeConsoleRepository {
    constructor() {
        this.nodeConsoleDao = new NodeConsoleDao_1.NodeConsoleDao();
    }
    async getById(nodeId) {
        const query = new data_access_layer_1.SequelizeQueryBuilder({}).where('nodeId', nodeId).build();
        return this.nodeConsoleDao.findAll(query);
    }
    async create(nodeConsole) {
        return this.nodeConsoleDao.create(nodeConsole);
    }
    async createBulk(nodeConsoles) {
        return this.nodeConsoleDao.createBulk(nodeConsoles);
    }
    async deleteByNodeId(nodeId) {
        const query = new data_access_layer_1.SequelizeQueryBuilder({}).where('nodeId', nodeId).build();
        await this.nodeConsoleDao.delete(query);
    }
}
exports.DatabaseNodeConsoleRepository = DatabaseNodeConsoleRepository;
//# sourceMappingURL=DatabaseNodeConsoleRepository.js.map