"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeConsoleFactory = void 0;
const DatabaseNodeConsoleRepository_1 = require("./DatabaseNodeConsoleRepository");
const RedisNodeConsoleRepository_1 = require("./RedisNodeConsoleRepository");
class NodeConsoleFactory {
    static getRepository(isSaaS) {
        if (isSaaS) {
            return new RedisNodeConsoleRepository_1.RedisNodeConsoleRepository();
        }
        return new DatabaseNodeConsoleRepository_1.DatabaseNodeConsoleRepository();
    }
}
exports.NodeConsoleFactory = NodeConsoleFactory;
//# sourceMappingURL=NodeConsoleFactory.js.map