"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AwsErrorHandler = void 0;
const errors_1 = require("@jfrog-pipelines/errors");
const AwsErrorCodes_1 = require("./AwsErrorCodes");
class AwsErrorHandler {
    static handle(errorMessage) {
        const awsError = errorMessage;
        const message = awsError.error?.message;
        if (!message) {
            throw errorMessage;
        }
        switch (awsError.error?.code) {
            case AwsErrorCodes_1.INCORRECT_INSTANCE_STATE: {
                throw new errors_1.StateTransitionError(message);
            }
            case AwsErrorCodes_1.UNAUTHORIZED_OPERATION: {
                throw new errors_1.CloudUnauthorizedError(message);
            }
            case AwsErrorCodes_1.INSTANCE_NOT_FOUND: {
                throw new errors_1.InstanceNotFoundError(message);
            }
            case AwsErrorCodes_1.REQUEST_LIMIT_EXCEEDED: {
                throw new errors_1.TooManyRequestError(message);
            }
            default: {
                throw new errors_1.NodeError(message);
            }
        }
    }
}
exports.AwsErrorHandler = AwsErrorHandler;
//# sourceMappingURL=AwsErrorHandler.js.map