"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeStatusVo = void 0;
const metadata_1 = require("@jfrog-pipelines/metadata");
const constants_1 = require("../constants");
class NodeStatusVo {
    constructor(statusCode) {
        const resovledNodeState = NodeStatusVo.NodeStatusCodeStateMap.get(statusCode);
        this.status = resovledNodeState ?? constants_1.NodeStates.Failed;
    }
    getValue() {
        return this.status;
    }
    equals(newStatus) {
        return this.status === newStatus;
    }
    includedIn(statusList) {
        return statusList.includes(this.status);
    }
}
exports.NodeStatusVo = NodeStatusVo;
NodeStatusVo.NodeStatusCodeStateMap = new Map([
    [metadata_1.WAITING, constants_1.NodeStates.Waiting],
    [metadata_1.PROCESSING, constants_1.NodeStates.Processing],
    [metadata_1.SUCCESS, constants_1.NodeStates.Success],
    [metadata_1.FAILED, constants_1.NodeStates.Failed],
    [metadata_1.CACHED, constants_1.NodeStates.Cached]
]);
//# sourceMappingURL=NodeStatusVo.js.map