"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CacheSettingsVo = exports.DaysOfWeek = exports.CacheSettingType = void 0;
const node_assert_1 = require("node:assert");
var CacheSettingType;
(function (CacheSettingType) {
    CacheSettingType["nodeStopIntervalDays"] = "nodeStopIntervalDays";
    CacheSettingType["nodeStopDayOfWeek"] = "nodeStopDayOfWeek";
})(CacheSettingType = exports.CacheSettingType || (exports.CacheSettingType = {}));
var DaysOfWeek;
(function (DaysOfWeek) {
    DaysOfWeek[DaysOfWeek["sunday"] = 0] = "sunday";
    DaysOfWeek[DaysOfWeek["monday"] = 1] = "monday";
    DaysOfWeek[DaysOfWeek["tuesday"] = 2] = "tuesday";
    DaysOfWeek[DaysOfWeek["wednesday"] = 3] = "wednesday";
    DaysOfWeek[DaysOfWeek["thursday"] = 4] = "thursday";
    DaysOfWeek[DaysOfWeek["friday"] = 5] = "friday";
    DaysOfWeek[DaysOfWeek["saturday"] = 6] = "saturday";
})(DaysOfWeek = exports.DaysOfWeek || (exports.DaysOfWeek = {}));
class CacheSettingsVo {
    constructor(settingType, configuration) {
        this.settingType = settingType;
        this.configuration = configuration;
    }
    getSettingType() {
        return this.settingType;
    }
    getConfiguration() {
        return this.configuration;
    }
    static create(options) {
        if (options.settingType === CacheSettingType.nodeStopIntervalDays && options.config < 1) {
            throw new node_assert_1.AssertionError({
                message: `Expecting a postitive non-zero positive value for nodeStopIntervalDays cache setting`
            });
        }
        return new CacheSettingsVo(options.settingType, options.config);
    }
}
exports.CacheSettingsVo = CacheSettingsVo;
//# sourceMappingURL=CacheSettingsVo.js.map