"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MachineImageV1Route = void 0;
const MachineImageController_1 = require("../../../feature/machine-image/MachineImageController");
const MachineImageSchema_1 = require("./MachineImageSchema");
class MachineImageV1Route {
    register(httpServer) {
        const machineImageController = new MachineImageController_1.MachineImageController();
        httpServer.get('/machine_images/:machineImageId', { schema: MachineImageSchema_1.MachineImageGetById }, (request, response) => machineImageController.get(request, response));
        httpServer.get('/machine_images', { schema: MachineImageSchema_1.MachineImageGetAll }, (request, response) => machineImageController.getAll(request, response));
        httpServer.post('/machine_images/', { schema: MachineImageSchema_1.MachineImagePost }, (request, response) => machineImageController.create(request, response));
        httpServer.patch('/machine_images/:machineImageId', { schema: MachineImageSchema_1.MachineImagePatch }, (request, response) => machineImageController.update(request, response));
        httpServer.delete('/machine_images/:machineImageId', { schema: MachineImageSchema_1.MachineImageDeleteById }, (request, response) => machineImageController.delete(request, response));
    }
}
exports.MachineImageV1Route = MachineImageV1Route;
//# sourceMappingURL=MachineImageV1Route.js.map