"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeStatsGet = exports.NodeStatsPost = void 0;
const types_1 = require("@jfrog-pipelines/types");
exports.NodeStatsPost = {
    tags: ['NodeStats'],
    description: 'Create a new node stats',
    body: types_1.NodeStatsRequestSchema,
    params: types_1.NodeIdParameters,
    response: {
        201: { type: 'object', properties: {}, description: 'The node stats was created' }
    }
};
exports.NodeStatsGet = {
    tags: ['NodeStats'],
    description: 'Get node stats by node id',
    params: types_1.NodeIdParameters,
    querystring: types_1.NodeStatsQuerySchema,
    response: {
        201: {
            description: 'The node stats was created',
            content: {
                'application/json': {
                    schema: {
                        type: 'array',
                        items: types_1.NodeStatsResponseSchemaReference
                    }
                }
            }
        },
        404: {
            type: 'object',
            properties: {
                message: {
                    type: 'string'
                }
            },
            description: 'NodeStats was not found'
        },
        500: {
            description: 'Internal Server Error',
            content: {
                'application/json': {
                    schema: types_1.ErrorSchema
                }
            }
        }
    }
};
//# sourceMappingURL=NodeStatsSchemaV1.js.map